/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { type ChartWizardDefaultState } from '@progress/kendo-charts';
export { type ChartWizardDataRow, type ChartWizardSeriesType } from '@progress/kendo-charts';
/**
 * @hidden
 */
export declare const fontSizes: {
    text: string;
    value: string;
}[];
/**
 * @hidden
 */
export declare const fontNames: {
    text: string;
    value: string;
    style: {
        fontFamily: string;
    };
}[];
/**
 * @hidden
 */
export declare const createState: (data: import("@progress/kendo-charts").ChartWizardDataRow[], seriesType: import("@progress/kendo-charts").ChartWizardSeriesType) => import("@progress/kendo-charts").ChartWizardState;
/**
 * @hidden
 */
export declare const updateState: (currentState: import("@progress/kendo-charts").ChartWizardState, action: import("@progress/kendo-charts").ActionTypes, value: any) => import("@progress/kendo-charts").ChartWizardState;
/**
 * @hidden
 */
export declare const mergeStates: (sourceState: import("@progress/kendo-charts").ChartWizardState, targetState: import("@progress/kendo-charts").ChartWizardState) => import("@progress/kendo-charts").ChartWizardState;
/**
 * @hidden
 */
export declare const isCategorical: (seriesType?: import("@progress/kendo-charts").ChartWizardSeriesType) => boolean;
/**
 * @hidden
 */
export declare const parseFont: (font?: string) => {
    name: string;
    size: string;
};
/**
 * @hidden
 */
export declare const ActionTypes: typeof import("@progress/kendo-charts").ActionTypes;
export interface ChartWizardInitialState extends ChartWizardDefaultState {
}
/**
 * @hidden
 */
export declare const rotations: ({
    text: string;
    value: string;
} | {
    text: string;
    value: number;
})[];
/**
 * @hidden
 */
export declare const positions: {
    text: string;
    value: string;
}[];
