/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./chart-wizard.component";
import * as i2 from "./grid-integration/grid-chart-wizard.directive";
import * as i3 from "./localization/custom-messages.component";
/**
 * A [module](link:site.data.urls.angular['ngmoduleapi']) that includes the Chart Wizard component and directives.
 *
 * Imports the ChartWizardModule into your application
 * [root module](link:site.data.urls.angular['ngmodules']#angular-modularity) or any other sub-module
 * that will use the Chart Wizard component.
 */
export declare class ChartWizardModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartWizardModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ChartWizardModule, never, [typeof i1.ChartWizardComponent, typeof i2.ChartWizardGridBindingDirective, typeof i3.CustomMessagesComponent], [typeof i1.ChartWizardComponent, typeof i2.ChartWizardGridBindingDirective, typeof i3.CustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ChartWizardModule>;
}
