/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ImageExportOptions } from "@progress/kendo-drawing";
import { PDFOptions } from "@progress/kendo-drawing/pdf";
/**
 * The Chart Wizard ExportOptions Interface.
 *
 */
export interface ExportOptions {
    fileName?: string;
    pdf?: PDFOptions;
    image?: ImageExportOptions;
}
/**
 * @hidden
 */
export type PanelType = 'Chart Area' | 'Legend' | 'Title' | 'Subtitle' | 'Value Axis' | 'Category Axis' | 'Series';
/**
 * @hidden
 */
export declare const defaultAllSeriesItem: {
    name: string;
};
/**
 * @hidden
 */
export declare const defaultFormat: {
    value: string;
    text: string;
};
/**
 * @hidden
 */
export declare const labelFormats: {
    value: string;
    text: string;
}[];
