/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { WindowState } from '@progress/kendo-angular-dialog';
/**
 * The window settings of the Chart Wizard.
 */
export interface WindowSettings {
    /**
     * Specifies the width of the Window. The width property has to be set in pixels.
     */
    width?: number;
    /**
     * Specifies the height of the Window. The height property has to be set in pixels.
     */
    height?: number;
    /**
     * Specifies the min-width of the Window. The min-width property has to be set in pixels.
     */
    minWidth?: number;
    /**
     * Specifies the min-height of the Window. The min-height property has to be set in pixels.
     */
    minHeight?: number;
    /**
     * Specifies the initial state of the Window.
     */
    state?: WindowState;
    /**
     * Specifies the modality of the Window.
     */
    modal?: boolean;
}
