/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { ThemeService } from '@progress/kendo-angular-charts';
import { PopupService } from '@progress/kendo-angular-popup';
import { ResizeBatchService } from '@progress/kendo-angular-common';
import { IconsService } from '@progress/kendo-angular-icons';
import { DialogContainerService, DialogService, WindowContainerService, WindowService, } from '@progress/kendo-angular-dialog';
import { KENDO_CHARTWIZARD } from './directives';
import * as i0 from "@angular/core";
import * as i1 from "./chart-wizard.component";
import * as i2 from "./grid-integration/grid-chart-wizard.directive";
import * as i3 from "./localization/custom-messages.component";
//IMPORTANT: NgModule export kept for backwards compatibility
/**
 * A [module](link:site.data.urls.angular['ngmoduleapi']) that includes the Chart Wizard component and directives.
 *
 * Imports the ChartWizardModule into your application
 * [root module](link:site.data.urls.angular['ngmodules']#angular-modularity) or any other sub-module
 * that will use the Chart Wizard component.
 */
export class ChartWizardModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ChartWizardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ChartWizardModule, imports: [i1.ChartWizardComponent, i2.ChartWizardGridBindingDirective, i3.CustomMessagesComponent], exports: [i1.ChartWizardComponent, i2.ChartWizardGridBindingDirective, i3.CustomMessagesComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ChartWizardModule, providers: [
            ThemeService,
            PopupService,
            ResizeBatchService,
            IconsService,
            DialogContainerService,
            DialogService,
            WindowService,
            WindowContainerService
        ], imports: [i1.ChartWizardComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ChartWizardModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_CHARTWIZARD],
                    exports: [...KENDO_CHARTWIZARD],
                    providers: [
                        ThemeService,
                        PopupService,
                        ResizeBatchService,
                        IconsService,
                        DialogContainerService,
                        DialogService,
                        WindowService,
                        WindowContainerService
                    ]
                }]
        }] });
