/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * Arguments for the `export` event on the Chart Wizard.
 */
export class ExportEvent extends PreventableEvent {
    /**
     * The export options on the Chart Wizard.
     */
    exportOptions;
    /**
     * The current Chart chart instance to be exported.
     */
    chart;
    /**
     * @hidden
     */
    constructor(chart, exportOptions) {
        super();
        this.chart = chart;
        this.exportOptions = exportOptions;
    }
}
