/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive } from '@angular/core';
import { Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class Messages extends ComponentMessages {
    /**
     * The title of the window.
     */
    windowTitle;
    /**
     * The text of the **Export** DropDownButton.
     */
    exportButton;
    /**
     * The text of the **Export** DropDownButton option that represents PDF.
     */
    exportPDFButton;
    /**
     * The text of the **Export** DropDownButton option that represents SVG.
     */
    exportSVGButton;
    /**
     * The text of the **Export** DropDownButton option that represents PNG.
     */
    exportPNGButton;
    /**
     * The text of the **Chart** tab of the property pane.
     */
    tabChart;
    /**
     * The text of the **Data** tab of the property pane.
     */
    tabData;
    /**
     * The text of the **Format** tab of the property pane.
     */
    tabFormat;
    /**
     * The text of the **Chart** panel that represents Bar Charts.
     */
    barChart;
    /**
     * The text of the Bar Chart type.
     */
    barChartBar;
    /**
     * The text of the Stacked Bar Chart type.
     */
    barChartStackedBar;
    /**
     * The text of the 100% Stacked Bar Chart type.
     */
    barChart100StackedBar;
    /**
     * The text of the **Chart** panel that represents Pie Charts.
     */
    pieChart;
    /**
     * The text of the Pie Chart type.
     */
    pieChartPie;
    /**
     * The text of the **Chart** panel that represents Column Charts.
     */
    columnChart;
    /**
     * The text of the Column Chart type.
     */
    columnChartColumn;
    /**
     * The text of the Stacked Column Chart type.
     */
    columnChartStackedColumn;
    /**
     * The text of the 100% Stacked Column Chart type.
     */
    columnChart100StackedColumn;
    /**
     * The text of the **Chart** panel that represents Line Charts.
     */
    lineChart;
    /**
     * The text of the Line Chart type.
     */
    lineChartLine;
    /**
     * The text of the Stacked Line Chart type.
     */
    lineChartStackedLine;
    /**
     * The text of the 100% Stacked Line Chart type.
     */
    lineChart100StackedLine;
    /**
     * The text of the **Chart** panel that represents Scatter Charts.
     */
    scatterChart;
    /**
     * The text of the Scatter Chart type.
     */
    scatterChartScatter;
    /**
     * The text of the **Configuration** panel of the **Data** tab.
     */
    configuration;
    /**
     * The caption of the **Category Axis** DropDown in the **Configuration** panel.
     */
    configurationCategoryAxis;
    /**
     * The caption of the **X Axis** DropDown in the **Configuration** panel when a Scatter Chart is selected.
     */
    configurationXAxis;
    /**
     * The caption of the **Value Axis** DropDown in the **Configuration** panel when a Pie Chart is selected.
     */
    configurationValueAxis;
    /**
     * The text of the **Series** Grid in the **Configuration** panel when a Categorical Chart is selected.
     */
    configurationSeries;
    /**
     * The text of the **Add Series** button in the Grid of the **Configuration** panel.
     */
    configurationSeriesAdd;
    /**
     * The text of the **Chart Area** panel of the **Format** tab.
     */
    formatChartArea;
    /**
     * The text of the **Margins** settings of the **Chart Area** panel.
     */
    formatChartAreaMargins;
    /**
     * The placeholder of the **Margins** settings of the **Chart Area** panel.
     */
    formatChartAreaMarginsAuto;
    /**
     * The label of the **Left** margin setting of the **Chart Area** panel.
     */
    formatChartAreaMarginsLeft;
    /**
     * The label of the **Right** margin setting of the **Chart Area** panel.
     */
    formatChartAreaMarginsRight;
    /**
     * The label of the **Top** margin setting of the **Chart Area** panel.
     */
    formatChartAreaMarginsTop;
    /**
     * The label of the **Bottom** margin setting of the **Chart Area** panel.
     */
    formatChartAreaMarginsBottom;
    /**
     * The text of the **Background** settings of the **Chart Area** panel.
     */
    formatChartAreaBackground;
    /**
     * The label of the **Color** background setting of the **Chart Area** panel.
     */
    formatChartAreaBackgroundColor;
    /**
     * The text of the **Title** panel of the **Format** tab.
     */
    formatTitle;
    /**
     * The label of the **Apply to** DropDown of the **Title** panel.
     */
    formatTitleApplyTo;
    /**
     * The text of the **Chart Title** option of the **Apply to** DropDown in the **Title** panel.
     */
    formatTitleChartTitle;
    /**
     * The text of the **Chart Subtitle** option of the **Apply to** DropDown in the **Title** panel.
     */
    formatTitleChartSubtitle;
    /**
     * The label of the **Title** input of the **Title** panel.
     */
    formatTitleLabel;
    /**
     * The label of the **Font** setting of the **Title** panel.
     */
    formatTitleFont;
    /**
     * The placeholder of the **Font** setting of the **Title** panel.
     */
    formatTitleFontPlaceholder;
    /**
     * The label of the **Size** setting of the **Title** panel.
     */
    formatTitleSize;
    /**
     * The placeholder of the **Size** setting of the **Title** panel.
     */
    formatTitleSizePlaceholder;
    /**
     * The label of the **Color** setting of the **Title** panel.
     */
    formatTitleColor;
    /**
     * The text of the **Series** panel of the **Format** tab.
     */
    formatSeries;
    /**
     * The label of the **Apply to** DropDown of the **Series** panel.
     */
    formatSeriesApplyTo;
    /**
     * The text of the **All Series** option of the **Apply to** DropDown in the **Series** panel.
     */
    formatSeriesAllSeries;
    /**
     * The label of the **Color** setting of the **Series** panel.
     */
    formatSeriesColor;
    /**
     * The label of the **Show Labels** checkbox of the **Series** panel.
     */
    formatSeriesShowLabels;
    /**
     * The text of the **Legend** panel of the **Format** tab.
     */
    formatLegend;
    /**
     * The label of the **Show Legend** switch of the **Legend** panel.
     */
    formatLegendShowLegend;
    /**
     * The label of the **Font** setting of the **Legend** panel.
     */
    formatLegendFont;
    /**
     * The placeholder of the **Font** setting of the **Legend** panel.
     */
    formatLegendFontPlaceholder;
    /**
     * The label of the **Size** setting of the **Legend** panel.
     */
    formatLegendSize;
    /**
     * The placeholder of the **Size** setting of the **Legend** panel.
     */
    formatLegendSizePlaceholder;
    /**
     * The label of the **Color** setting of the **Legend** panel.
     */
    formatLegendColor;
    /**
     * The label of the **Posititon** DropDown of the **Legend** panel.
     */
    formatLegendPosition;
    /**
     * The text of the **Top** option of the **Position** DropDown of the **Legend** panel.
     */
    formatLegendPositionTop;
    /**
     * The text of the **Bottom** option of the **Position** DropDown of the **Legend** panel.
     */
    formatLegendPositionBottom;
    /**
     * The text of the **Left** option of the **Position** DropDown of the **Legend** panel.
     */
    formatLegendPositionLeft;
    /**
     * The text of the **Right** option of the **Position** DropDown of the **Legend** panel.
     */
    formatLegendPositionRight;
    /**
     * The text of the **Category Axis** panel of the **Format** tab.
     */
    formatCategoryAxis;
    /**
     * The text of the **X Axis** panel of the **Format** tab when a Scatter Chart is selected.
     */
    formatXAxis;
    /**
     * The label of the **Title** settings of the **Category Axis** panel.
     */
    formatCategoryAxisTitle;
    /**
     * The placeholder of the **Title** input of the **Category Axis** panel.
     */
    formatCategoryAxisTitlePlaceholder;
    /**
     * The label of the **Font** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleFont;
    /**
     * The placeholder of the **Font** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleFontPlaceholder;
    /**
     * The label of the **Size** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleSize;
    /**
     * The placeholder of the **Size** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleSizePlaceholder;
    /**
     * The label of the **Color** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleColor;
    /**
     * The label of the **Labels** settings of the **Category Axis** panel.
     */
    formatCategoryAxisLabels;
    /**
     * The label of the **Font** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsFont;
    /**
     * The placeholder of the **Font** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsFontPlaceholder;
    /**
     * The label of the **Size** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsSize;
    /**
     * The placeholder of the **Size** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsSizePlaceholder;
    /**
     * The label of the **Color** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsColor;
    /**
     * The label of the **Rotation** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsRotation;
    /**
     * The **Auto** option of the **Rotation** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsRotationAuto;
    /**
     * The label of the **Reverse Order** checkbox of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsReverseOrder;
    /**
     * The text of the **Value Axis** panel of the **Format** tab.
     */
    formatValueAxis;
    /**
     * The text of the **Y Axis** panel of the **Format** tab.
     */
    formatYAxis;
    /**
     * The label of the **Title** settings of the **Value Axis** panel.
     */
    formatValueAxisTitle;
    /**
     * The placeholder of the **Title** settings of the **Value Axis** panel.
     */
    formatValueAxisTitlePlaceholder;
    /**
     * The label of the **Font** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleFont;
    /**
     * The placeholder of the **Font** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleFontPlaceholder;
    /**
     * The label of the **Size** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleSize;
    /**
     * The placeholder of the **Size** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleSizePlaceholder;
    /**
     * The label of the **Color** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleColor;
    /**
     * The label of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabels;
    /**
     * The label of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormat;
    /**
     * The **Text** option of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormatText;
    /**
     * The **Number** option of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormatNumber;
    /**
     * The **Currency** option of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormatCurrency;
    /**
     * The **Percent** option of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormatPercent;
    /**
     * The label of the **Font** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsFont;
    /**
     * The placeholder of the **Font** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsFontPlaceholder;
    /**
     * The label of the **Size** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsSize;
    /**
     * The placeholder of the **Size** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsSizePlaceholder;
    /**
     * The label of the **Color** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsColor;
    /**
     * The label of the **Rotation** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsRotation;
    /**
     * The **Auto** option of the **Rotation** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsRotationAuto;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: Messages, selector: "[kendoChartWizardMessages]", inputs: { windowTitle: "windowTitle", exportButton: "exportButton", exportPDFButton: "exportPDFButton", exportSVGButton: "exportSVGButton", exportPNGButton: "exportPNGButton", tabChart: "tabChart", tabData: "tabData", tabFormat: "tabFormat", barChart: "barChart", barChartBar: "barChartBar", barChartStackedBar: "barChartStackedBar", barChart100StackedBar: "barChart100StackedBar", pieChart: "pieChart", pieChartPie: "pieChartPie", columnChart: "columnChart", columnChartColumn: "columnChartColumn", columnChartStackedColumn: "columnChartStackedColumn", columnChart100StackedColumn: "columnChart100StackedColumn", lineChart: "lineChart", lineChartLine: "lineChartLine", lineChartStackedLine: "lineChartStackedLine", lineChart100StackedLine: "lineChart100StackedLine", scatterChart: "scatterChart", scatterChartScatter: "scatterChartScatter", configuration: "configuration", configurationCategoryAxis: "configurationCategoryAxis", configurationXAxis: "configurationXAxis", configurationValueAxis: "configurationValueAxis", configurationSeries: "configurationSeries", configurationSeriesAdd: "configurationSeriesAdd", formatChartArea: "formatChartArea", formatChartAreaMargins: "formatChartAreaMargins", formatChartAreaMarginsAuto: "formatChartAreaMarginsAuto", formatChartAreaMarginsLeft: "formatChartAreaMarginsLeft", formatChartAreaMarginsRight: "formatChartAreaMarginsRight", formatChartAreaMarginsTop: "formatChartAreaMarginsTop", formatChartAreaMarginsBottom: "formatChartAreaMarginsBottom", formatChartAreaBackground: "formatChartAreaBackground", formatChartAreaBackgroundColor: "formatChartAreaBackgroundColor", formatTitle: "formatTitle", formatTitleApplyTo: "formatTitleApplyTo", formatTitleChartTitle: "formatTitleChartTitle", formatTitleChartSubtitle: "formatTitleChartSubtitle", formatTitleLabel: "formatTitleLabel", formatTitleFont: "formatTitleFont", formatTitleFontPlaceholder: "formatTitleFontPlaceholder", formatTitleSize: "formatTitleSize", formatTitleSizePlaceholder: "formatTitleSizePlaceholder", formatTitleColor: "formatTitleColor", formatSeries: "formatSeries", formatSeriesApplyTo: "formatSeriesApplyTo", formatSeriesAllSeries: "formatSeriesAllSeries", formatSeriesColor: "formatSeriesColor", formatSeriesShowLabels: "formatSeriesShowLabels", formatLegend: "formatLegend", formatLegendShowLegend: "formatLegendShowLegend", formatLegendFont: "formatLegendFont", formatLegendFontPlaceholder: "formatLegendFontPlaceholder", formatLegendSize: "formatLegendSize", formatLegendSizePlaceholder: "formatLegendSizePlaceholder", formatLegendColor: "formatLegendColor", formatLegendPosition: "formatLegendPosition", formatLegendPositionTop: "formatLegendPositionTop", formatLegendPositionBottom: "formatLegendPositionBottom", formatLegendPositionLeft: "formatLegendPositionLeft", formatLegendPositionRight: "formatLegendPositionRight", formatCategoryAxis: "formatCategoryAxis", formatXAxis: "formatXAxis", formatCategoryAxisTitle: "formatCategoryAxisTitle", formatCategoryAxisTitlePlaceholder: "formatCategoryAxisTitlePlaceholder", formatCategoryAxisTitleFont: "formatCategoryAxisTitleFont", formatCategoryAxisTitleFontPlaceholder: "formatCategoryAxisTitleFontPlaceholder", formatCategoryAxisTitleSize: "formatCategoryAxisTitleSize", formatCategoryAxisTitleSizePlaceholder: "formatCategoryAxisTitleSizePlaceholder", formatCategoryAxisTitleColor: "formatCategoryAxisTitleColor", formatCategoryAxisLabels: "formatCategoryAxisLabels", formatCategoryAxisLabelsFont: "formatCategoryAxisLabelsFont", formatCategoryAxisLabelsFontPlaceholder: "formatCategoryAxisLabelsFontPlaceholder", formatCategoryAxisLabelsSize: "formatCategoryAxisLabelsSize", formatCategoryAxisLabelsSizePlaceholder: "formatCategoryAxisLabelsSizePlaceholder", formatCategoryAxisLabelsColor: "formatCategoryAxisLabelsColor", formatCategoryAxisLabelsRotation: "formatCategoryAxisLabelsRotation", formatCategoryAxisLabelsRotationAuto: "formatCategoryAxisLabelsRotationAuto", formatCategoryAxisLabelsReverseOrder: "formatCategoryAxisLabelsReverseOrder", formatValueAxis: "formatValueAxis", formatYAxis: "formatYAxis", formatValueAxisTitle: "formatValueAxisTitle", formatValueAxisTitlePlaceholder: "formatValueAxisTitlePlaceholder", formatValueAxisTitleFont: "formatValueAxisTitleFont", formatValueAxisTitleFontPlaceholder: "formatValueAxisTitleFontPlaceholder", formatValueAxisTitleSize: "formatValueAxisTitleSize", formatValueAxisTitleSizePlaceholder: "formatValueAxisTitleSizePlaceholder", formatValueAxisTitleColor: "formatValueAxisTitleColor", formatValueAxisLabels: "formatValueAxisLabels", formatValueAxisLabelsFormat: "formatValueAxisLabelsFormat", formatValueAxisLabelsFormatText: "formatValueAxisLabelsFormatText", formatValueAxisLabelsFormatNumber: "formatValueAxisLabelsFormatNumber", formatValueAxisLabelsFormatCurrency: "formatValueAxisLabelsFormatCurrency", formatValueAxisLabelsFormatPercent: "formatValueAxisLabelsFormatPercent", formatValueAxisLabelsFont: "formatValueAxisLabelsFont", formatValueAxisLabelsFontPlaceholder: "formatValueAxisLabelsFontPlaceholder", formatValueAxisLabelsSize: "formatValueAxisLabelsSize", formatValueAxisLabelsSizePlaceholder: "formatValueAxisLabelsSizePlaceholder", formatValueAxisLabelsColor: "formatValueAxisLabelsColor", formatValueAxisLabelsRotation: "formatValueAxisLabelsRotation", formatValueAxisLabelsRotationAuto: "formatValueAxisLabelsRotationAuto" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, decorators: [{
            type: Directive,
            args: [{
                    selector: '[kendoChartWizardMessages]'
                }]
        }], propDecorators: { windowTitle: [{
                type: Input
            }], exportButton: [{
                type: Input
            }], exportPDFButton: [{
                type: Input
            }], exportSVGButton: [{
                type: Input
            }], exportPNGButton: [{
                type: Input
            }], tabChart: [{
                type: Input
            }], tabData: [{
                type: Input
            }], tabFormat: [{
                type: Input
            }], barChart: [{
                type: Input
            }], barChartBar: [{
                type: Input
            }], barChartStackedBar: [{
                type: Input
            }], barChart100StackedBar: [{
                type: Input
            }], pieChart: [{
                type: Input
            }], pieChartPie: [{
                type: Input
            }], columnChart: [{
                type: Input
            }], columnChartColumn: [{
                type: Input
            }], columnChartStackedColumn: [{
                type: Input
            }], columnChart100StackedColumn: [{
                type: Input
            }], lineChart: [{
                type: Input
            }], lineChartLine: [{
                type: Input
            }], lineChartStackedLine: [{
                type: Input
            }], lineChart100StackedLine: [{
                type: Input
            }], scatterChart: [{
                type: Input
            }], scatterChartScatter: [{
                type: Input
            }], configuration: [{
                type: Input
            }], configurationCategoryAxis: [{
                type: Input
            }], configurationXAxis: [{
                type: Input
            }], configurationValueAxis: [{
                type: Input
            }], configurationSeries: [{
                type: Input
            }], configurationSeriesAdd: [{
                type: Input
            }], formatChartArea: [{
                type: Input
            }], formatChartAreaMargins: [{
                type: Input
            }], formatChartAreaMarginsAuto: [{
                type: Input
            }], formatChartAreaMarginsLeft: [{
                type: Input
            }], formatChartAreaMarginsRight: [{
                type: Input
            }], formatChartAreaMarginsTop: [{
                type: Input
            }], formatChartAreaMarginsBottom: [{
                type: Input
            }], formatChartAreaBackground: [{
                type: Input
            }], formatChartAreaBackgroundColor: [{
                type: Input
            }], formatTitle: [{
                type: Input
            }], formatTitleApplyTo: [{
                type: Input
            }], formatTitleChartTitle: [{
                type: Input
            }], formatTitleChartSubtitle: [{
                type: Input
            }], formatTitleLabel: [{
                type: Input
            }], formatTitleFont: [{
                type: Input
            }], formatTitleFontPlaceholder: [{
                type: Input
            }], formatTitleSize: [{
                type: Input
            }], formatTitleSizePlaceholder: [{
                type: Input
            }], formatTitleColor: [{
                type: Input
            }], formatSeries: [{
                type: Input
            }], formatSeriesApplyTo: [{
                type: Input
            }], formatSeriesAllSeries: [{
                type: Input
            }], formatSeriesColor: [{
                type: Input
            }], formatSeriesShowLabels: [{
                type: Input
            }], formatLegend: [{
                type: Input
            }], formatLegendShowLegend: [{
                type: Input
            }], formatLegendFont: [{
                type: Input
            }], formatLegendFontPlaceholder: [{
                type: Input
            }], formatLegendSize: [{
                type: Input
            }], formatLegendSizePlaceholder: [{
                type: Input
            }], formatLegendColor: [{
                type: Input
            }], formatLegendPosition: [{
                type: Input
            }], formatLegendPositionTop: [{
                type: Input
            }], formatLegendPositionBottom: [{
                type: Input
            }], formatLegendPositionLeft: [{
                type: Input
            }], formatLegendPositionRight: [{
                type: Input
            }], formatCategoryAxis: [{
                type: Input
            }], formatXAxis: [{
                type: Input
            }], formatCategoryAxisTitle: [{
                type: Input
            }], formatCategoryAxisTitlePlaceholder: [{
                type: Input
            }], formatCategoryAxisTitleFont: [{
                type: Input
            }], formatCategoryAxisTitleFontPlaceholder: [{
                type: Input
            }], formatCategoryAxisTitleSize: [{
                type: Input
            }], formatCategoryAxisTitleSizePlaceholder: [{
                type: Input
            }], formatCategoryAxisTitleColor: [{
                type: Input
            }], formatCategoryAxisLabels: [{
                type: Input
            }], formatCategoryAxisLabelsFont: [{
                type: Input
            }], formatCategoryAxisLabelsFontPlaceholder: [{
                type: Input
            }], formatCategoryAxisLabelsSize: [{
                type: Input
            }], formatCategoryAxisLabelsSizePlaceholder: [{
                type: Input
            }], formatCategoryAxisLabelsColor: [{
                type: Input
            }], formatCategoryAxisLabelsRotation: [{
                type: Input
            }], formatCategoryAxisLabelsRotationAuto: [{
                type: Input
            }], formatCategoryAxisLabelsReverseOrder: [{
                type: Input
            }], formatValueAxis: [{
                type: Input
            }], formatYAxis: [{
                type: Input
            }], formatValueAxisTitle: [{
                type: Input
            }], formatValueAxisTitlePlaceholder: [{
                type: Input
            }], formatValueAxisTitleFont: [{
                type: Input
            }], formatValueAxisTitleFontPlaceholder: [{
                type: Input
            }], formatValueAxisTitleSize: [{
                type: Input
            }], formatValueAxisTitleSizePlaceholder: [{
                type: Input
            }], formatValueAxisTitleColor: [{
                type: Input
            }], formatValueAxisLabels: [{
                type: Input
            }], formatValueAxisLabelsFormat: [{
                type: Input
            }], formatValueAxisLabelsFormatText: [{
                type: Input
            }], formatValueAxisLabelsFormatNumber: [{
                type: Input
            }], formatValueAxisLabelsFormatCurrency: [{
                type: Input
            }], formatValueAxisLabelsFormatPercent: [{
                type: Input
            }], formatValueAxisLabelsFont: [{
                type: Input
            }], formatValueAxisLabelsFontPlaceholder: [{
                type: Input
            }], formatValueAxisLabelsSize: [{
                type: Input
            }], formatValueAxisLabelsSizePlaceholder: [{
                type: Input
            }], formatValueAxisLabelsColor: [{
                type: Input
            }], formatValueAxisLabelsRotation: [{
                type: Input
            }], formatValueAxisLabelsRotationAuto: [{
                type: Input
            }] } });
