/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Injectable } from "@angular/core";
import { defaultAllSeriesItem } from "./common/models";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class StateService {
    state = {
        categoryAxis: [],
        valueAxis: [],
        series: [],
        initialSeries: [],
        columns: [],
        data: [],
        area: { margin: { top: 0, right: 0, bottom: 0, left: 0 } },
        seriesType: 'bar'
    };
    seriesType = 'bar';
    currentTitle = 'Chart Title';
    currentSeries = defaultAllSeriesItem;
    data = [];
    deletedSeries = [];
    direction = 'ltr';
    windowSize = { width: 700, height: 550 };
    splitterPaneSize = '300px';
    dataTab;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StateService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StateService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StateService, decorators: [{
            type: Injectable
        }] });
