/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChartComponent } from '@progress/kendo-angular-charts';
import { PreventableEvent } from './preventable-event';
import { ExportOptions } from '../common/models';
/**
 * Arguments for the `export` event on the Chart Wizard.
 */
export declare class ExportEvent extends PreventableEvent {
    /**
     * The export options on the Chart Wizard.
     */
    exportOptions: ExportOptions;
    /**
     * The current Chart chart instance to be exported.
     */
    chart: ChartComponent;
    /**
     * @hidden
     */
    constructor(chart: ChartComponent, exportOptions: ExportOptions);
}
