/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GridComponent } from "@progress/kendo-angular-grid";
import { DataRow } from "../common";
/**
 * Maps the Grid selectedKeys to a more general DataRows type to be displayed in the Chart Wizard.
 *
 * The selectedKeys can be either row keys or cell keys.
 *
 * @returns DataRow array that can be passed to getWizardDataFromDataRows in order to bind the Chart Wizard.
 */
export declare function getGridSelectedRows(args: {
    grid: GridComponent;
    data: any[];
    selectedKeys: any[];
    selectionKey?: string;
    columnKey?: ((column: any, columnIndex: number) => any);
}): DataRow[];
