/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GridComponent } from "@progress/kendo-angular-grid";
import { ChartWizardDataRow } from "../chart-wizard-state";
/**
 * Maps the Grid selectedKeys to data to be displayed in the Chart Wizard.
 *
 * Supports both row and cell selection.
 * @returns collection that can be used as Chart Wizard.
*/
export declare const getWizardDataFromGridSelection: (args: {
    grid: GridComponent;
    data: any[];
    selectedKeys: any[];
    selectionKey?: string;
    columnKey?: (column: any, columnIndex: number) => any;
}) => ChartWizardDataRow[];
