/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, OnInit } from "@angular/core";
import { GridComponent, RowArgs } from "@progress/kendo-angular-grid";
import { ChartWizardDataRow } from "../chart-wizard-state";
import * as i0 from "@angular/core";
/**
 * A directive which binds the Chart Wizard from the selection state of the Grid
 * ([see example](slug:grid_integration_with_chart).
 */
export declare class ChartWizardGridBindingDirective implements OnInit {
    protected grid: GridComponent;
    /**
     * Defines the collection that will store the Chart Wizard data.
     *
     * @default []
     */
    chartWizardData: ChartWizardDataRow[];
    /**
     * Fires when the `chartWizardData` collection has been updated.
     */
    chartWizardDataChange: EventEmitter<ChartWizardDataRow[]>;
    /**
     * @hidden
     */
    data: any;
    /**
     * @hidden
     */
    selectionKey: string | ((context: RowArgs) => any);
    /**
     * @hidden
     */
    columnKey: string | ((column: any, columnIndex: number) => any);
    constructor(grid: GridComponent);
    ngOnInit(): void;
    onSelectionChange(selectedKeys: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartWizardGridBindingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ChartWizardGridBindingDirective, "[kendoChartWizardGridBinding]", ["kendoChartWizardGridBinding"], { "chartWizardData": { "alias": "chartWizardData"; "required": false; }; "data": { "alias": "kendoGridBinding"; "required": false; }; "selectionKey": { "alias": "kendoGridSelectBy"; "required": false; }; "columnKey": { "alias": "columnKey"; "required": false; }; }, { "chartWizardDataChange": "chartWizardDataChange"; }, never, never, true, never>;
}
