/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Messages } from './messages';
import * as i0 from "@angular/core";
/**
 * Custom component messages override default component messages.
 * @example
 * ```html
 *  <kendo-chartwizard [data]="data">
 *      <kendo-chartwizard-messages
 *          windowTitle="Title"
 *      ></kendo-chartwizard-messages>
 *  </kendo-chartwizard>
 * ```
 */
export declare class CustomMessagesComponent extends Messages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomMessagesComponent, "kendo-chartwizard-messages", never, {}, {}, never, never, true, never>;
}
