/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * The title of the window.
     */
    windowTitle: string;
    /**
     * The text of the **Export** DropDownButton.
     */
    exportButton: string;
    /**
     * The text of the **Export** DropDownButton option that represents PDF.
     */
    exportPDFButton: string;
    /**
     * The text of the **Export** DropDownButton option that represents SVG.
     */
    exportSVGButton: string;
    /**
     * The text of the **Export** DropDownButton option that represents PNG.
     */
    exportPNGButton: string;
    /**
     * The text of the **Chart** tab of the property pane.
     */
    tabChart: string;
    /**
     * The text of the **Data** tab of the property pane.
     */
    tabData: string;
    /**
     * The text of the **Format** tab of the property pane.
     */
    tabFormat: string;
    /**
     * The text of the **Chart** panel that represents Bar Charts.
     */
    barChart: string;
    /**
     * The text of the Bar Chart type.
     */
    barChartBar: string;
    /**
     * The text of the Stacked Bar Chart type.
     */
    barChartStackedBar: string;
    /**
     * The text of the 100% Stacked Bar Chart type.
     */
    barChart100StackedBar: string;
    /**
     * The text of the **Chart** panel that represents Pie Charts.
     */
    pieChart: string;
    /**
     * The text of the Pie Chart type.
     */
    pieChartPie: string;
    /**
     * The text of the **Chart** panel that represents Column Charts.
     */
    columnChart: string;
    /**
     * The text of the Column Chart type.
     */
    columnChartColumn: string;
    /**
     * The text of the Stacked Column Chart type.
     */
    columnChartStackedColumn: string;
    /**
     * The text of the 100% Stacked Column Chart type.
     */
    columnChart100StackedColumn: string;
    /**
     * The text of the **Chart** panel that represents Line Charts.
     */
    lineChart: string;
    /**
     * The text of the Line Chart type.
     */
    lineChartLine: string;
    /**
     * The text of the Stacked Line Chart type.
     */
    lineChartStackedLine: string;
    /**
     * The text of the 100% Stacked Line Chart type.
     */
    lineChart100StackedLine: string;
    /**
     * The text of the **Chart** panel that represents Scatter Charts.
     */
    scatterChart: string;
    /**
     * The text of the Scatter Chart type.
     */
    scatterChartScatter: string;
    /**
     * The text of the **Configuration** panel of the **Data** tab.
     */
    configuration: string;
    /**
     * The caption of the **Category Axis** DropDown in the **Configuration** panel.
     */
    configurationCategoryAxis: string;
    /**
     * The caption of the **X Axis** DropDown in the **Configuration** panel when a Scatter Chart is selected.
     */
    configurationXAxis: string;
    /**
     * The caption of the **Value Axis** DropDown in the **Configuration** panel when a Pie Chart is selected.
     */
    configurationValueAxis: string;
    /**
     * The text of the **Series** Grid in the **Configuration** panel when a Categorical Chart is selected.
     */
    configurationSeries: string;
    /**
     * The text of the **Add Series** button in the Grid of the **Configuration** panel.
     */
    configurationSeriesAdd: string;
    /**
     * The text of the **Chart Area** panel of the **Format** tab.
     */
    formatChartArea: string;
    /**
     * The text of the **Margins** settings of the **Chart Area** panel.
     */
    formatChartAreaMargins: string;
    /**
     * The placeholder of the **Margins** settings of the **Chart Area** panel.
     */
    formatChartAreaMarginsAuto: string;
    /**
     * The label of the **Left** margin setting of the **Chart Area** panel.
     */
    formatChartAreaMarginsLeft: string;
    /**
     * The label of the **Right** margin setting of the **Chart Area** panel.
     */
    formatChartAreaMarginsRight: string;
    /**
     * The label of the **Top** margin setting of the **Chart Area** panel.
     */
    formatChartAreaMarginsTop: string;
    /**
     * The label of the **Bottom** margin setting of the **Chart Area** panel.
     */
    formatChartAreaMarginsBottom: string;
    /**
     * The text of the **Background** settings of the **Chart Area** panel.
     */
    formatChartAreaBackground: string;
    /**
     * The label of the **Color** background setting of the **Chart Area** panel.
     */
    formatChartAreaBackgroundColor: string;
    /**
     * The text of the **Title** panel of the **Format** tab.
     */
    formatTitle: string;
    /**
     * The label of the **Apply to** DropDown of the **Title** panel.
     */
    formatTitleApplyTo: string;
    /**
     * The text of the **Chart Title** option of the **Apply to** DropDown in the **Title** panel.
     */
    formatTitleChartTitle: string;
    /**
     * The text of the **Chart Subtitle** option of the **Apply to** DropDown in the **Title** panel.
     */
    formatTitleChartSubtitle: string;
    /**
     * The label of the **Title** input of the **Title** panel.
     */
    formatTitleLabel: string;
    /**
     * The label of the **Font** setting of the **Title** panel.
     */
    formatTitleFont: string;
    /**
     * The placeholder of the **Font** setting of the **Title** panel.
     */
    formatTitleFontPlaceholder: string;
    /**
     * The label of the **Size** setting of the **Title** panel.
     */
    formatTitleSize: string;
    /**
     * The placeholder of the **Size** setting of the **Title** panel.
     */
    formatTitleSizePlaceholder: string;
    /**
     * The label of the **Color** setting of the **Title** panel.
     */
    formatTitleColor: string;
    /**
     * The text of the **Series** panel of the **Format** tab.
     */
    formatSeries: string;
    /**
     * The label of the **Apply to** DropDown of the **Series** panel.
     */
    formatSeriesApplyTo: string;
    /**
     * The text of the **All Series** option of the **Apply to** DropDown in the **Series** panel.
     */
    formatSeriesAllSeries: string;
    /**
     * The label of the **Color** setting of the **Series** panel.
     */
    formatSeriesColor: string;
    /**
     * The label of the **Show Labels** checkbox of the **Series** panel.
     */
    formatSeriesShowLabels: string;
    /**
     * The text of the **Legend** panel of the **Format** tab.
     */
    formatLegend: string;
    /**
     * The label of the **Show Legend** switch of the **Legend** panel.
     */
    formatLegendShowLegend: string;
    /**
     * The label of the **Font** setting of the **Legend** panel.
     */
    formatLegendFont: string;
    /**
     * The placeholder of the **Font** setting of the **Legend** panel.
     */
    formatLegendFontPlaceholder: string;
    /**
     * The label of the **Size** setting of the **Legend** panel.
     */
    formatLegendSize: string;
    /**
     * The placeholder of the **Size** setting of the **Legend** panel.
     */
    formatLegendSizePlaceholder: string;
    /**
     * The label of the **Color** setting of the **Legend** panel.
     */
    formatLegendColor: string;
    /**
     * The label of the **Posititon** DropDown of the **Legend** panel.
     */
    formatLegendPosition: string;
    /**
     * The text of the **Top** option of the **Position** DropDown of the **Legend** panel.
     */
    formatLegendPositionTop: string;
    /**
     * The text of the **Bottom** option of the **Position** DropDown of the **Legend** panel.
     */
    formatLegendPositionBottom: string;
    /**
     * The text of the **Left** option of the **Position** DropDown of the **Legend** panel.
     */
    formatLegendPositionLeft: string;
    /**
     * The text of the **Right** option of the **Position** DropDown of the **Legend** panel.
     */
    formatLegendPositionRight: string;
    /**
     * The text of the **Category Axis** panel of the **Format** tab.
     */
    formatCategoryAxis: string;
    /**
     * The text of the **X Axis** panel of the **Format** tab when a Scatter Chart is selected.
     */
    formatXAxis: string;
    /**
     * The label of the **Title** settings of the **Category Axis** panel.
     */
    formatCategoryAxisTitle: string;
    /**
     * The placeholder of the **Title** input of the **Category Axis** panel.
     */
    formatCategoryAxisTitlePlaceholder: string;
    /**
     * The label of the **Font** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleFont: string;
    /**
     * The placeholder of the **Font** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleFontPlaceholder: string;
    /**
     * The label of the **Size** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleSize: string;
    /**
     * The placeholder of the **Size** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleSizePlaceholder: string;
    /**
     * The label of the **Color** settings of the **Title** in the **Category Axis** panel.
     */
    formatCategoryAxisTitleColor: string;
    /**
     * The label of the **Labels** settings of the **Category Axis** panel.
     */
    formatCategoryAxisLabels: string;
    /**
     * The label of the **Font** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsFont: string;
    /**
     * The placeholder of the **Font** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsFontPlaceholder: string;
    /**
     * The label of the **Size** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsSize: string;
    /**
     * The placeholder of the **Size** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsSizePlaceholder: string;
    /**
     * The label of the **Color** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsColor: string;
    /**
     * The label of the **Rotation** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsRotation: string;
    /**
     * The **Auto** option of the **Rotation** settings of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsRotationAuto: string;
    /**
     * The label of the **Reverse Order** checkbox of the **Labels** in the **Category Axis** panel.
     */
    formatCategoryAxisLabelsReverseOrder: string;
    /**
     * The text of the **Value Axis** panel of the **Format** tab.
     */
    formatValueAxis: string;
    /**
     * The text of the **Y Axis** panel of the **Format** tab.
     */
    formatYAxis: string;
    /**
     * The label of the **Title** settings of the **Value Axis** panel.
     */
    formatValueAxisTitle: string;
    /**
     * The placeholder of the **Title** settings of the **Value Axis** panel.
     */
    formatValueAxisTitlePlaceholder: string;
    /**
     * The label of the **Font** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleFont: string;
    /**
     * The placeholder of the **Font** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleFontPlaceholder: string;
    /**
     * The label of the **Size** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleSize: string;
    /**
     * The placeholder of the **Size** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleSizePlaceholder: string;
    /**
     * The label of the **Color** settings of the **Value Axis** panel.
     */
    formatValueAxisTitleColor: string;
    /**
     * The label of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabels: string;
    /**
     * The label of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormat: string;
    /**
     * The **Text** option of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormatText: string;
    /**
     * The **Number** option of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormatNumber: string;
    /**
     * The **Currency** option of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormatCurrency: string;
    /**
     * The **Percent** option of the **Format** DropDown of the **Labels** settings of the **Value Axis** panel.
     */
    formatValueAxisLabelsFormatPercent: string;
    /**
     * The label of the **Font** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsFont: string;
    /**
     * The placeholder of the **Font** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsFontPlaceholder: string;
    /**
     * The label of the **Size** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsSize: string;
    /**
     * The placeholder of the **Size** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsSizePlaceholder: string;
    /**
     * The label of the **Color** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsColor: string;
    /**
     * The label of the **Rotation** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsRotation: string;
    /**
     * The **Auto** option of the **Rotation** settings of the **Labels** in the **Value Axis** panel.
     */
    formatValueAxisLabelsRotationAuto: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, "[kendoChartWizardMessages]", never, { "windowTitle": { "alias": "windowTitle"; "required": false; }; "exportButton": { "alias": "exportButton"; "required": false; }; "exportPDFButton": { "alias": "exportPDFButton"; "required": false; }; "exportSVGButton": { "alias": "exportSVGButton"; "required": false; }; "exportPNGButton": { "alias": "exportPNGButton"; "required": false; }; "tabChart": { "alias": "tabChart"; "required": false; }; "tabData": { "alias": "tabData"; "required": false; }; "tabFormat": { "alias": "tabFormat"; "required": false; }; "barChart": { "alias": "barChart"; "required": false; }; "barChartBar": { "alias": "barChartBar"; "required": false; }; "barChartStackedBar": { "alias": "barChartStackedBar"; "required": false; }; "barChart100StackedBar": { "alias": "barChart100StackedBar"; "required": false; }; "pieChart": { "alias": "pieChart"; "required": false; }; "pieChartPie": { "alias": "pieChartPie"; "required": false; }; "columnChart": { "alias": "columnChart"; "required": false; }; "columnChartColumn": { "alias": "columnChartColumn"; "required": false; }; "columnChartStackedColumn": { "alias": "columnChartStackedColumn"; "required": false; }; "columnChart100StackedColumn": { "alias": "columnChart100StackedColumn"; "required": false; }; "lineChart": { "alias": "lineChart"; "required": false; }; "lineChartLine": { "alias": "lineChartLine"; "required": false; }; "lineChartStackedLine": { "alias": "lineChartStackedLine"; "required": false; }; "lineChart100StackedLine": { "alias": "lineChart100StackedLine"; "required": false; }; "scatterChart": { "alias": "scatterChart"; "required": false; }; "scatterChartScatter": { "alias": "scatterChartScatter"; "required": false; }; "configuration": { "alias": "configuration"; "required": false; }; "configurationCategoryAxis": { "alias": "configurationCategoryAxis"; "required": false; }; "configurationXAxis": { "alias": "configurationXAxis"; "required": false; }; "configurationValueAxis": { "alias": "configurationValueAxis"; "required": false; }; "configurationSeries": { "alias": "configurationSeries"; "required": false; }; "configurationSeriesAdd": { "alias": "configurationSeriesAdd"; "required": false; }; "formatChartArea": { "alias": "formatChartArea"; "required": false; }; "formatChartAreaMargins": { "alias": "formatChartAreaMargins"; "required": false; }; "formatChartAreaMarginsAuto": { "alias": "formatChartAreaMarginsAuto"; "required": false; }; "formatChartAreaMarginsLeft": { "alias": "formatChartAreaMarginsLeft"; "required": false; }; "formatChartAreaMarginsRight": { "alias": "formatChartAreaMarginsRight"; "required": false; }; "formatChartAreaMarginsTop": { "alias": "formatChartAreaMarginsTop"; "required": false; }; "formatChartAreaMarginsBottom": { "alias": "formatChartAreaMarginsBottom"; "required": false; }; "formatChartAreaBackground": { "alias": "formatChartAreaBackground"; "required": false; }; "formatChartAreaBackgroundColor": { "alias": "formatChartAreaBackgroundColor"; "required": false; }; "formatTitle": { "alias": "formatTitle"; "required": false; }; "formatTitleApplyTo": { "alias": "formatTitleApplyTo"; "required": false; }; "formatTitleChartTitle": { "alias": "formatTitleChartTitle"; "required": false; }; "formatTitleChartSubtitle": { "alias": "formatTitleChartSubtitle"; "required": false; }; "formatTitleLabel": { "alias": "formatTitleLabel"; "required": false; }; "formatTitleFont": { "alias": "formatTitleFont"; "required": false; }; "formatTitleFontPlaceholder": { "alias": "formatTitleFontPlaceholder"; "required": false; }; "formatTitleSize": { "alias": "formatTitleSize"; "required": false; }; "formatTitleSizePlaceholder": { "alias": "formatTitleSizePlaceholder"; "required": false; }; "formatTitleColor": { "alias": "formatTitleColor"; "required": false; }; "formatSeries": { "alias": "formatSeries"; "required": false; }; "formatSeriesApplyTo": { "alias": "formatSeriesApplyTo"; "required": false; }; "formatSeriesAllSeries": { "alias": "formatSeriesAllSeries"; "required": false; }; "formatSeriesColor": { "alias": "formatSeriesColor"; "required": false; }; "formatSeriesShowLabels": { "alias": "formatSeriesShowLabels"; "required": false; }; "formatLegend": { "alias": "formatLegend"; "required": false; }; "formatLegendShowLegend": { "alias": "formatLegendShowLegend"; "required": false; }; "formatLegendFont": { "alias": "formatLegendFont"; "required": false; }; "formatLegendFontPlaceholder": { "alias": "formatLegendFontPlaceholder"; "required": false; }; "formatLegendSize": { "alias": "formatLegendSize"; "required": false; }; "formatLegendSizePlaceholder": { "alias": "formatLegendSizePlaceholder"; "required": false; }; "formatLegendColor": { "alias": "formatLegendColor"; "required": false; }; "formatLegendPosition": { "alias": "formatLegendPosition"; "required": false; }; "formatLegendPositionTop": { "alias": "formatLegendPositionTop"; "required": false; }; "formatLegendPositionBottom": { "alias": "formatLegendPositionBottom"; "required": false; }; "formatLegendPositionLeft": { "alias": "formatLegendPositionLeft"; "required": false; }; "formatLegendPositionRight": { "alias": "formatLegendPositionRight"; "required": false; }; "formatCategoryAxis": { "alias": "formatCategoryAxis"; "required": false; }; "formatXAxis": { "alias": "formatXAxis"; "required": false; }; "formatCategoryAxisTitle": { "alias": "formatCategoryAxisTitle"; "required": false; }; "formatCategoryAxisTitlePlaceholder": { "alias": "formatCategoryAxisTitlePlaceholder"; "required": false; }; "formatCategoryAxisTitleFont": { "alias": "formatCategoryAxisTitleFont"; "required": false; }; "formatCategoryAxisTitleFontPlaceholder": { "alias": "formatCategoryAxisTitleFontPlaceholder"; "required": false; }; "formatCategoryAxisTitleSize": { "alias": "formatCategoryAxisTitleSize"; "required": false; }; "formatCategoryAxisTitleSizePlaceholder": { "alias": "formatCategoryAxisTitleSizePlaceholder"; "required": false; }; "formatCategoryAxisTitleColor": { "alias": "formatCategoryAxisTitleColor"; "required": false; }; "formatCategoryAxisLabels": { "alias": "formatCategoryAxisLabels"; "required": false; }; "formatCategoryAxisLabelsFont": { "alias": "formatCategoryAxisLabelsFont"; "required": false; }; "formatCategoryAxisLabelsFontPlaceholder": { "alias": "formatCategoryAxisLabelsFontPlaceholder"; "required": false; }; "formatCategoryAxisLabelsSize": { "alias": "formatCategoryAxisLabelsSize"; "required": false; }; "formatCategoryAxisLabelsSizePlaceholder": { "alias": "formatCategoryAxisLabelsSizePlaceholder"; "required": false; }; "formatCategoryAxisLabelsColor": { "alias": "formatCategoryAxisLabelsColor"; "required": false; }; "formatCategoryAxisLabelsRotation": { "alias": "formatCategoryAxisLabelsRotation"; "required": false; }; "formatCategoryAxisLabelsRotationAuto": { "alias": "formatCategoryAxisLabelsRotationAuto"; "required": false; }; "formatCategoryAxisLabelsReverseOrder": { "alias": "formatCategoryAxisLabelsReverseOrder"; "required": false; }; "formatValueAxis": { "alias": "formatValueAxis"; "required": false; }; "formatYAxis": { "alias": "formatYAxis"; "required": false; }; "formatValueAxisTitle": { "alias": "formatValueAxisTitle"; "required": false; }; "formatValueAxisTitlePlaceholder": { "alias": "formatValueAxisTitlePlaceholder"; "required": false; }; "formatValueAxisTitleFont": { "alias": "formatValueAxisTitleFont"; "required": false; }; "formatValueAxisTitleFontPlaceholder": { "alias": "formatValueAxisTitleFontPlaceholder"; "required": false; }; "formatValueAxisTitleSize": { "alias": "formatValueAxisTitleSize"; "required": false; }; "formatValueAxisTitleSizePlaceholder": { "alias": "formatValueAxisTitleSizePlaceholder"; "required": false; }; "formatValueAxisTitleColor": { "alias": "formatValueAxisTitleColor"; "required": false; }; "formatValueAxisLabels": { "alias": "formatValueAxisLabels"; "required": false; }; "formatValueAxisLabelsFormat": { "alias": "formatValueAxisLabelsFormat"; "required": false; }; "formatValueAxisLabelsFormatText": { "alias": "formatValueAxisLabelsFormatText"; "required": false; }; "formatValueAxisLabelsFormatNumber": { "alias": "formatValueAxisLabelsFormatNumber"; "required": false; }; "formatValueAxisLabelsFormatCurrency": { "alias": "formatValueAxisLabelsFormatCurrency"; "required": false; }; "formatValueAxisLabelsFormatPercent": { "alias": "formatValueAxisLabelsFormatPercent"; "required": false; }; "formatValueAxisLabelsFont": { "alias": "formatValueAxisLabelsFont"; "required": false; }; "formatValueAxisLabelsFontPlaceholder": { "alias": "formatValueAxisLabelsFontPlaceholder"; "required": false; }; "formatValueAxisLabelsSize": { "alias": "formatValueAxisLabelsSize"; "required": false; }; "formatValueAxisLabelsSizePlaceholder": { "alias": "formatValueAxisLabelsSizePlaceholder"; "required": false; }; "formatValueAxisLabelsColor": { "alias": "formatValueAxisLabelsColor"; "required": false; }; "formatValueAxisLabelsRotation": { "alias": "formatValueAxisLabelsRotation"; "required": false; }; "formatValueAxisLabelsRotationAuto": { "alias": "formatValueAxisLabelsRotationAuto"; "required": false; }; }, {}, never, never, false, never>;
}
