/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewChecked, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { StateService } from '../state.service';
import { ChartWizardLocalizationService } from '../localization/chartwizard-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ChartWizardPropertyPaneChartTabComponent implements AfterViewChecked, OnDestroy {
    stateService: StateService;
    private cdr;
    private localization;
    exportIcon: import("@progress/kendo-svg-icons").SVGIcon;
    chartBarClusteredIcon: import("@progress/kendo-svg-icons").SVGIcon;
    chartBarStackedIcon: import("@progress/kendo-svg-icons").SVGIcon;
    chartBarStacked100Icon: import("@progress/kendo-svg-icons").SVGIcon;
    chartPieIcon: import("@progress/kendo-svg-icons").SVGIcon;
    chartColumnClusteredIcon: import("@progress/kendo-svg-icons").SVGIcon;
    chartColumnStackedIcon: import("@progress/kendo-svg-icons").SVGIcon;
    chartColumnStacked100Icon: import("@progress/kendo-svg-icons").SVGIcon;
    chartLineIcon: import("@progress/kendo-svg-icons").SVGIcon;
    chartLineStackedIcon: import("@progress/kendo-svg-icons").SVGIcon;
    chartLineStacked100Icon: import("@progress/kendo-svg-icons").SVGIcon;
    chartScatterIcon: import("@progress/kendo-svg-icons").SVGIcon;
    constructor(stateService: StateService, cdr: ChangeDetectorRef, localization: ChartWizardLocalizationService);
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
    detectChanges(): void;
    messageFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartWizardPropertyPaneChartTabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartWizardPropertyPaneChartTabComponent, "kendo-chartwizard-property-pane-chart-tab", never, {}, {}, never, never, true, never>;
}
