/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { StateService } from '../state.service';
import { FormBuilder, FormGroup } from '@angular/forms';
import { CreateFormGroupArgs, GridComponent, RemoveEvent } from '@progress/kendo-angular-grid';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { ChartWizardLocalizationService } from '../localization/chartwizard-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ChartWizardPropertyPaneDataTabComponent implements AfterViewInit {
    stateService: StateService;
    private formBuilder;
    private cdr;
    renderer: Renderer2;
    private localization;
    categoryAxisX: import("@progress/kendo-charts").ActionTypes;
    valueAxisY: import("@progress/kendo-charts").ActionTypes;
    trashIcon: SVGIcon;
    plusIcon: SVGIcon;
    isCategorical: (seriesType?: import("@progress/kendo-charts/dist/npm/chart-wizard").ChartWizardSeriesType) => boolean;
    grid: GridComponent;
    constructor(stateService: StateService, formBuilder: FormBuilder, cdr: ChangeDetectorRef, renderer: Renderer2, localization: ChartWizardLocalizationService);
    ngAfterViewInit(): void;
    updateState(action: any, value: any): void;
    formGroup: FormGroup;
    createFormGroup(args: CreateFormGroupArgs): FormGroup;
    addData(): void;
    removeData(event: RemoveEvent): void;
    onRowReorder(grid: GridComponent): void;
    isDisabled(grid: GridComponent): boolean;
    detectChanges(): void;
    messageFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartWizardPropertyPaneDataTabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartWizardPropertyPaneDataTabComponent, "kendo-chartwizard-property-pane-data-tab", never, {}, {}, never, never, true, never>;
}
