/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, AfterViewInit, ChangeDetectorRef, AfterViewChecked, OnDestroy } from '@angular/core';
import { ComboBoxComponent, DropDownListComponent } from '@progress/kendo-angular-dropdowns';
import { CheckBoxComponent, ColorPickerComponent, NumericTextBoxComponent, TextBoxComponent } from '@progress/kendo-angular-inputs';
import { LabelComponent } from '@progress/kendo-angular-label';
import { ChartWizardState } from '@progress/kendo-charts';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ChartWizardPropertyPaneFormFieldComponent implements AfterViewInit, AfterViewChecked, OnDestroy {
    private localization;
    private cdr;
    currentState: ChartWizardState;
    action: any;
    class: string;
    inputType: string;
    text: string;
    data: any;
    placeholder: string;
    colSpan: number;
    hasLabel: boolean;
    isLabelInsideFormFieldWrap: boolean;
    value: any;
    disabled: boolean;
    valueChange: EventEmitter<any>;
    formField: boolean;
    get isColSpan2(): boolean;
    label: LabelComponent;
    numericTextBox: NumericTextBoxComponent;
    colorPicker: ColorPickerComponent;
    dropDownList: DropDownListComponent;
    textBox: TextBoxComponent;
    comboBox: ComboBoxComponent;
    checkBox: CheckBoxComponent;
    constructor(localization: LocalizationService, cdr: ChangeDetectorRef);
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartWizardPropertyPaneFormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartWizardPropertyPaneFormFieldComponent, "kendo-chartwizard-property-pane-form-field", never, { "currentState": { "alias": "currentState"; "required": false; }; "action": { "alias": "action"; "required": false; }; "class": { "alias": "class"; "required": false; }; "inputType": { "alias": "inputType"; "required": false; }; "text": { "alias": "text"; "required": false; }; "data": { "alias": "data"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "colSpan": { "alias": "colSpan"; "required": false; }; "hasLabel": { "alias": "hasLabel"; "required": false; }; "isLabelInsideFormFieldWrap": { "alias": "isLabelInsideFormFieldWrap"; "required": false; }; "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
