/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewChecked, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { StateService } from '../state.service';
import { ActionTypes as ActionTypesType, ChartWizardSeriesItem } from '@progress/kendo-charts';
import { ChartWizardLocalizationService } from '../localization/chartwizard-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ChartWizardPropertyPaneFormatTabComponent implements AfterViewChecked, OnDestroy {
    stateService: StateService;
    private localization;
    private cdr;
    chartTitles: any[];
    areaMarginLeft: ActionTypesType;
    areaMarginRight: ActionTypesType;
    areaMarginTop: ActionTypesType;
    areaMarginBottom: ActionTypesType;
    areaBackground: ActionTypesType;
    legendVisible: ActionTypesType;
    legendFontName: ActionTypesType;
    legendFontSize: ActionTypesType;
    legendColor: ActionTypesType;
    legendPosition: ActionTypesType;
    categoryAxisTitleText: ActionTypesType;
    categoryAxisTitleFontName: ActionTypesType;
    categoryAxisTitleFontSize: ActionTypesType;
    categoryAxisTitleColor: ActionTypesType;
    categoryAxisLabelsFontName: ActionTypesType;
    categoryAxisLabelsFontSize: ActionTypesType;
    categoryAxisLabelsColor: ActionTypesType;
    categoryAxisLabelsRotation: ActionTypesType;
    categoryAxisReverseOrder: ActionTypesType;
    valueAxisTitleText: ActionTypesType;
    valueAxisTitleFontName: ActionTypesType;
    valueAxisTitleFontSize: ActionTypesType;
    valueAxisTitleColor: ActionTypesType;
    valueAxisLabelsFontName: ActionTypesType;
    valueAxisLabelsFormat: ActionTypesType;
    valueAxisLabelsFontSize: ActionTypesType;
    valueAxisLabelsColor: ActionTypesType;
    valueAxisLabelsRotation: ActionTypesType;
    parseFont: (font?: string) => {
        name: string;
        size: string;
    };
    defaultAllSeriesItem: {
        name: string;
    };
    fontNames: {
        text: string;
        value: string;
        style: {
            fontFamily: string;
        };
    }[];
    fontSizes: {
        text: string;
        value: string;
    }[];
    labelFormats: any[];
    legendPositions: any[];
    labelsCategoryAxisRotation: any[];
    labelsValueAxisRotation: any[];
    get chartTitleTypeText(): string;
    get chartTitleTypeFont(): string;
    get chartTitleTypeFontSize(): string;
    get chartTitleTypeColor(): string;
    get chartTitleTypeAction(): ActionTypesType;
    get chartTitleTypeFontAction(): ActionTypesType;
    get chartTitleTypeColorAction(): ActionTypesType;
    get chartTitleTypeFontSizeAction(): ActionTypesType;
    get seriesData(): any[];
    get showLabels(): boolean;
    get labelFormatValue(): any;
    constructor(stateService: StateService, localization: ChartWizardLocalizationService, cdr: ChangeDetectorRef);
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
    updateState(action: any, value: any): void;
    changeCurrentTitle(value: 'Chart Title' | 'Chart Subtitle'): void;
    toggleSeriesLabels(value: boolean): void;
    updateCurrentSeries(value: ChartWizardSeriesItem): void;
    updateSeriesColor(value: string): void;
    messageFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartWizardPropertyPaneFormatTabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartWizardPropertyPaneFormatTabComponent, "kendo-chartwizard-property-pane-format-tab", never, {}, {}, never, never, true, never>;
}
